Package org.flowable.dmn.model

# Class DecisionRule

java.lang.Object
org.flowable.dmn.model.DmnElement
org.flowable.dmn.model.DecisionRule

public class DecisionRule extends DmnElement

Author:
  Yvo Swillens

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<RuleInputClauseContainer>`
  `inputEntries`
  `protected List<RuleOutputClauseContainer>`
  `outputEntries`
  `protected int`
  `ruleNumber`

  ### Fields inherited from class org.flowable.dmn.model.DmnElement

  `attributes, description, extensionElements, id, label`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecisionRule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addInputEntry(RuleInputClauseContainer inputEntry)`
  `void`
  `addOutputEntry(RuleOutputClauseContainer outputEntry)`
  `List<RuleInputClauseContainer>`
  `getInputEntries()`
  `List<RuleOutputClauseContainer>`
  `getOutputEntries()`
  `int`
  `getRuleNumber()`
  `void`
  `setInputEntries(List<RuleInputClauseContainer> inputEntries)`
  `void`
  `setOutputEntries(List<RuleOutputClauseContainer> outputEntries)`
  `void`
  `setRuleNumber(int ruleNumber)`

  ### Methods inherited from class org.flowable.dmn.model.DmnElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getDescription, getExtensionElements, getId, getLabel, setAttributes, setDescription, setExtensionElements, setId, setLabel, setValues`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### inputEntries

    protected List<RuleInputClauseContainer> inputEntries

  - ### outputEntries

    protected List<RuleOutputClauseContainer> outputEntries

  - ### ruleNumber

    protected int ruleNumber

- ## Constructor Details

  - ### DecisionRule

    public DecisionRule()

- ## Method Details

  - ### getInputEntries

    public List<RuleInputClauseContainer> getInputEntries()

  - ### addInputEntry

    public void addInputEntry(RuleInputClauseContainer inputEntry)

  - ### setInputEntries

    public void setInputEntries(List<RuleInputClauseContainer> inputEntries)

  - ### getOutputEntries

    public List<RuleOutputClauseContainer> getOutputEntries()

  - ### addOutputEntry

    public void addOutputEntry(RuleOutputClauseContainer outputEntry)

  - ### setOutputEntries

    public void setOutputEntries(List<RuleOutputClauseContainer> outputEntries)

  - ### setRuleNumber

    public void setRuleNumber(int ruleNumber)

  - ### getRuleNumber

    public int getRuleNumber()